Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Brigitta Sipocz
    @bsipocz
    nothing that works...
    Thomas Robitaille
    @astrofrog
    sounds like a hack day!
    Brigitta Sipocz
    @bsipocz
    well, it was just hopeless for me, but still got 1.5 hours to go, so maybe can fix some jupyter testing issues for someone. For the science hack we hack on some Orion YSOs with pan-starrs and apogee data, but only got to the cross matches, etc.
    What is the issue?
    Thomas Robitaille
    @astrofrog
    Oh I just opened astropy/ci-helpers#131 but I realized it’s not urgent because it’s a use case which is not useful ;)
    I’ve had mixed luck with hack days, half the time I don’t end up getting much done at all, but it’s still fun :)
    Brigitta Sipocz
    @bsipocz
    oh, I think we already have one similar one open. astropy/ci-helpers#84
    Well, I still learnt a lot, and probably next time I should prepare more to bring my own project to hack on.
    Thomas Robitaille
    @astrofrog
    Ok, I closed #131 and added a note to #84
    Brigitta Sipocz
    @bsipocz
    @astrofrog - are you still here?
    Thomas Robitaille
    @astrofrog
    yep!
    Brigitta Sipocz
    @bsipocz
    how long do you think it would take to copy over the .astro hacklist collector and do one from scratch for astrohackweek?
    Thomas Robitaille
    @astrofrog
    well the list itself is pretty easy to set up
    it’s just lots of metadata
    the website generator shouldn’t be too difficult either
    and the heroku submission form, well, it depends - sometimes I have to battle with those things for ages to get them to work...
    Thomas Robitaille
    @astrofrog
    but it would be really cool to re-use it for astrohackweek
    Brigitta Sipocz
    @bsipocz
    although as I see I can't really do it, as there is no license?
    Thomas Robitaille
    @astrofrog
    oops
    er
    let me check
    Brigitta Sipocz
    @bsipocz
    but anyway, I have 30 mins left, so the maximum I can do is make a branch on my fork, and add a hackweek directory ;)
    Thomas Robitaille
    @astrofrog
    ok sounsd good - will open an issue about license
    Thomas Robitaille
    @astrofrog
    @bsipocz - any idea what this is about?
    Ah I konw
    Brigitta Sipocz
    @bsipocz
    @astrofrog - are you around?
    The missing osx astropy+np1.12 bites most packages really badly, but on the other hand I feel that updating numpy stable to be 1.12 a month after the release is expected.
    Should we do a workaround somehow?
    Thomas Robitaille
    @astrofrog
    I'm around sorry
    thinking...
    Brigitta Sipocz
    @bsipocz
    we already have a few workarounds, so I'm ok to add another to make both numpy=stable and astropy=stable happy. This won't solve the problem with other missing dependencies though, but I think it should be delegated back to the packages themselves to deal with (e.g they are pinning pyqt to a version here: https://github.com/astropy/ci-helpers/issues/166#issuecomment-280234536, so then that should be their problem that it's not available on new versions)
    Thomas Robitaille
    @astrofrog
    What about for now if both astropy and numpy are set to stable we set the numpy version to 1.11
    alternatively we could change back to 1.11 and just say we'll update to 1.12 once conda packages with 1.12 are aroujnd
    I mean it's not ideal, but it's pragmatic
    easiest might be the first option though, just setting it to 1.11 if both astropy and numpy are set to stable
    Brigitta Sipocz
    @bsipocz
    but 1.12 is out for a while, and many package is happily passing with the current setup
    Thomas Robitaille
    @astrofrog
    Ok, so let's deal with just the double stable case in a workaround?
    Brigitta Sipocz
    @bsipocz
    OK. My alternative would be to install astropy from pip in that case?
    actually a bit surprising as it's not happening, https://github.com/astropy/ci-helpers/blob/master/travis/setup_dependencies_common.sh#L298 did this trick before...
    Thomas Robitaille
    @astrofrog
    Yes that might be a better solution
    ah but the issue is that in this case astropy never gets installed to start with
    David Hoese
    @djhoese
    I see no one really uses chat room but maybe someone will see this. Anyone else seeing travis OSX hanging?
    David Hoese
    @djhoese
    @mwcraig I forgot this gitter exists. This may be easier to talk about some things. @bsipocz are you on here too?

    I'm having some weird behavior with retry_on_known_error where it just hangs. I changed it so it runs the command outright just to see what happened:

    function retry_on_known_error() {
        if [ -z "$*" ]; then
            echo "ERROR: Function retry_on_known_error() called without arguments." 1>&2
            return 1
        fi
        _n_retries=0
        _exitval=0
        _retry=true
        while $_retry; do
            _retry=false
            # Execute the wrapped command and get its unified output:
            set +e
            $@
            _exitval="$?"
            # _output=$($@ 2>&1)
            _output=""
            set -e

    And this succeeds for the conda install $CONDA_DEPENDENCIES command. However, then some of my unit tests for my project fail (even though they've succeeded in the past, still working on that). Any idea why this bash function doesn't print out the output of the $@ command to travis' log?

    Oh duh, it does print it, it's just further down the log
    Matt Craig
    @mwcraig
    finally catching up with gitter; most astropy chat these days happens in slack: http://joinslack.astropy.org/ and there is a matrix bridge too (though I don't use matrix so I know nothing about it)
    David Hoese
    @djhoese
    :+1: